#!/bin/sed -nf

# remove empty lines
/^$/d

# all lines between the pkgname and the maintainer entry
/^[[:alnum:]][[:alnum:]]*/,/^[[:space:]]*--/ {

 # save the version number from the pkgname line to hold space
 /^[[:alnum:]][[:alnum:]]*/ {
  s/^[[:alnum:]][[:alnum:]]*[[:space:]][[:space:]]*(\([^)]*\))[[:space:]].*/\1/
  h
  d
 }

 # last maintainer line, edit it and print all
 /^[[:space:]]*--/ {
  s/^[[:space:]]*--[[:space:]]*\(.*\)[[:space:]]\{1,\}\([[:alnum:]]\{,3\}\),[[:space:]]\{1,\}\([[:digit:]]\{1,\}\)[[:space:]]\{1,\}\([[:alnum:]]\{,3\}\)[[:space:]]\{1,\}\([[:digit:]]\{4,4\}\)\(.*\)/\* \2 \4 \3 \5 \1/
  G
  # remove the extra '\n' inserted after the version number in hold space and
  # use the extra space after maintainer email address as separator
  s/\([^\n]*\)\n\([^\n]*\)\(\n.*\)/\1\2 \3/
  p
  n
 }

 # changelog lines mangled to always start with a '-', save to hold space
 s/^[[:space:]]*\*[[:space:]]\(.*\)/- \1/
 s/^[[:space:]]*-[[:space:]]\(.*\)/- \1/
 s/^[[:space:]]\{1,\}/  /
 H
 d

}
